/* Hero */
.hero {
  padding: 30px 0;
  background-color:rgb(40, 36, 213)
}
.hero .container {
  width: 80%;
  max-width: 1400px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.hero .container .image {
  width: 90%;
  max-width: 600px;
}
.hero .container .image img {
  width: 100%;
  display: block;
}
.hero .container .image.mobile {
  display: none;
}
.hero .container .text {
  color: white;
}
.hero .container .text h1 {
  font-size: 900;
}
.hero .container .text h2 {
  font-size: 300;
  font-size: 1.1rem;
  font-weight: 200;
  margin: 20px 0 35px;
}
.hero .container .text a {
  -webkit-user-select: none;
  user-select: none;
  display: inline-flex;
  gap: 10px;
  align-items: center;
  border-radius: 40px;
  font-weight: 300;
  font-size: .97rem;
  cursor: pointer;
  background-color: #fff;
  border: 2px solid transparent;
  color: rgb(40, 36, 213);
  padding: .9rem 1.5rem;
  transition: border .2s ease, background-color .2s ease, color .2s ease, transform .2s ease;
}
.hero .container .text a:hover {
  border: 2px solid #fff;
  background-color: rgb(40, 36, 213);
  color: #fff;
}
.hero .container .text a:active {
  transform: scale(0.95);
}
.waves {
  width: 100%;
  background-image: url(../images/background/waves.svg);
  background-repeat: no-repeat;
  background-size: cover;
  height: 100px;
}

/* Articles and Main Container */
main {
  width: 80%;
  max-width: 1300px;
  margin: 80px auto 100px;
  display: grid;
  grid-template-columns: 2fr 300px;
  gap: 100px;
}
main img {
  display: block;
  width: 100%;
}
main .author {
  position: absolute;
  left: 20px;
  bottom: 20px;
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 50%;
  border: 2px solid white;
}
main .image {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 3px 3px 15px rgba(0, 0, 0, 0.061);
}
main .image img:not(.author) {
  transition: transform 0.2s ease;
}
main .articles {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  width: 100%;
  gap: 100px;
  place-items: center;
}
main .articles article {
  width: 100%;
}
main .articles article a:hover .image img:not(.author) {
  transform: scale(1.101);
}
main .articles article a:hover .text h3 {
  color: rgb(40, 36, 213);
}
main .articles article a .text {
  margin-top: 15px;
}
main .articles article a .text p {
  font-weight: 200;
  color: black;
  margin-bottom: 15px;
}
main .articles article a .text h3 {
  font-weight: 300;
  color: black;
  transition: color 0.2s ease;
}

/* Sticky and Info Card */
.info-card{
  display: none;
}
main .sticky-bar{
  position: sticky;
  top: 5px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.099);
  border-radius: 10px;
  padding: 45px 35px;
  text-align: center;
  height: max-content;
  background-color: rgb(47, 44, 220);
}
main .sticky-bar h2{
  font-family: 'Montserrat', sans-serif;
  font-weight: 800;
  font-size: 1.3rem;
  color: rgb(248, 248, 248);
  text-align: center;
  margin-bottom: 20px;
}
main .sticky-bar p{
  color: rgb(245,245,245);
  font-weight: 200;
  font-size: .95rem;
  line-height: 1.45;
  margin-bottom: 30px;

  text-align: justify;
  -webkit-hyphens: auto;
  hyphens: auto;
}
main .sticky-bar a{
  display: inline-flex;
  gap: 10px;
  align-items: center;

  color: rgb(40, 36, 213);
  font-weight: 300;
  background-color: rgb(255, 255, 255);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.177);

  -webkit-user-select: none;
  user-select: none;
  font-weight: 300;
  font-size: .95rem;
  
  padding: 9px 14px;
  line-height: 1;
  border-radius: 8px;
  transition: transform .3s ease;
}
main .sticky-bar a i{
  font-size: 1.2rem;
}
main .sticky-bar a:hover{
  transform: translateY(-2px);
}
main .sticky-bar a:active{
  transform: translateY(2px);
}



/* Media Queries */
@media(max-width: 1387px){
  main {
    grid-template-columns: 1fr;
  }
  main .sticky-bar{
    display: none;
  }
  .info-card {
    display: flex;
    width: 80%;
    max-width: 1400px;
    margin: 50px auto;
    gap: 60px;
    align-items: center;
    padding: 30px 25px;
    background-color: rgb(47, 44, 226);
    border-radius: 10px;
    box-shadow: 2px 7px 18px rgba(0, 0, 0, 0.151);
  }
  .info-card .image{
    width: 100%;
    max-width: 370px;
  }
  .info-card .image img{
    display: block;
    width: 100%;
  }
  .info-card .text{
    width: 100%;
    max-width: 550px;
  }
  .info-card .text h2{
    font-weight: 800;
    font-family: 'Montserrat', sans-serif;
    color: rgb(248, 248, 248);
  }
  .info-card .text p{
    color: rgb(245,245,245);
    margin: 15px 0;
    font-weight: 200;
    font-size: 1rem;
  }
}
@media (max-width: 970px) {
  .hero{
    padding: 60px 0 0;
  }
  .hero .container {
    flex-direction: column;
    text-align: center;
    gap: 30px;
  }
  .hero .container .text button {
    padding: .7rem 1.1rem;
  }
  .hero .container .text h1 {
    font-size: 1.6rem;
  }
  .hero .container .text h2 {
    font-size: 1.1rem;
    margin: 20px 0 30px;
  }
  .info-card{
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 25px 40px;
  }
  main .articles {
    grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
  }
}